## GtkVUMeter GtkVUMeter — vu meter widget |

## Functions

GtkWidget * | gtk_vumeter_new ()
void | gtk_vumeter_set_min_max ()
void | gtk_vumeter_set_levels ()
void | gtk_vumeter_set_scale ()

## Types and Values

struct | GtkVUMeter

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkVUMeter

## Implemented Interfaces

GtkVUMeter implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Shows a vertical or horizontal gauge with a colorized bar to signal volume level.

## Functions

### gtk_vumeter_new ()

    GtkWidget *
    gtk_vumeter_new (GtkOrientation orientation);

Creates a new VUMeter widget.

#### Parameters

orientation | vertical/horizontal |

#### Returns

the new GtkWidget

### gtk_vumeter_set_min_max ()

    void
    gtk_vumeter_set_min_max (GtkVUMeter *self,
                             gint min,
                             gint max);

Sets the minimum and maximum of the VU Meters scale. The positions are irrelevant as the widget will rearrange them. It will also increment max by one if min == max. And finally it will clamp the current level into the min,max range.

#### Parameters

self | the vumeter widget to change the level bounds |
min | the new minimum level shown (level that is 0%) |
max | the new maximum level shown (level that is 100%) |

### gtk_vumeter_set_levels ()

    void
    gtk_vumeter_set_levels (GtkVUMeter *self,
                            gint rms,
                            gint peak);

Sets new level values for the level display. The `peak` level is the current max level. The `rmx` level is the decaying level part. They are clamped to the min max range.

#### Parameters

self | the vumeter widget to change the current level |
rms | the new rms level shown |
peak | the new peak level shown |

### gtk_vumeter_set_scale ()

    void
    gtk_vumeter_set_scale (GtkVUMeter *self,
                           gint scale);

Sets the scale of the VU Meter. It is either log or linear and defaults to linear. No matter which scale you set the input should always be linear, GtkVUMeter does the log calculation. 0db is red. -6db is yellow. -18db is green. Whatever min turns into is dark green.

#### Parameters

self | the vumeter widget to change the scaling type |
scale | the scale type, either GTK_VUMETER_SCALE_LINEAR or GTK_VUMETER_SCALE_LOG |

## Types and Values

### struct GtkVUMeter

    struct GtkVUMeter;

a volume meter widget